Name:		perl-DBD-cego
Version:	1.2.5
Release:	1.8
Summary:	Perl bindings for cego
License:	LGPL
Group:		Development/Languages/Perl
Source0:	DBD-cego-%{version}.tar.bz2
Patch0:		DBD-cego-libdir-1.2.1.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	cego-devel gcc-c++
BuildRequires:	perl(ExtUtils::MakeMaker) perl(DBI)

%description

%prep
%setup -n DBD-cego-%{version}
%patch0

%build
perl Makefile.PL --prefix=%{_prefix} --lib=%{_lib} INSTALLDIRS="vendor"
%__make

%install
%__make DESTDIR=%{buildroot} install
rm -rf %{buildroot}%{perl_vendorarch}/auto/DBD/Cego/.packlist
%__install -d %{buildroot}/var/adm/perl-modules
mv %{buildroot}%{perl_archlib}/perllocal.pod %{buildroot}/var/adm/perl-modules/%{name}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README
%{perl_vendorarch}/DBD/Cego.pm
%dir %{perl_vendorarch}/auto/DBD
%dir %{perl_vendorarch}/auto/DBD/Cego
%{perl_vendorarch}/auto/DBD/Cego/Cego.bs
%{perl_vendorarch}/auto/DBD/Cego/Cego.so
%{_mandir}/man3/DBD::Cego.3pm*
/var/adm/perl-modules/%{name}

%changelog
* Tue Jul  9 2013 cs@linux-administrator.com
- update to release 1.2.5
* Mon May 20 2013 cs@linux-administrator.com
- update to release 1.2.2
* Thu May 16 2013 cs@linux-administrator.com
- update to release 1.2.1
- rework libdir patch
* Fri May 18 2012 cs@linux-administrator.com
- update to release 1.2.0
* Wed Apr  4 2012 cs@linux-administrator.com
- update to release 1.1.15
